%define version 0.3.3
%define release 2mdk

Summary:	Monopoly-like game client
Name:		gtkatlantic
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
URL:		http://gtkatlantic.gradator.net/
Source:		http://gtkatlantic.gradator.net/downloads/v0.3/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+-devel
BuildRequires:	png-devel
BuildRequires:	libxml2-devel

%description
monopd is a dedicated game server daemon for playing Monopoly-like board
games. Clients connect to the server and communicate using short commands
and XML messages.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{name}" \
 icon="strategy_section.png" \
 longtitle="Play Monopoly" \
 needs="x11" \
 section="More applications/Games/Boards" \
 title="GtkAtlantic"
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}

%changelog
* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3.3-2mdk
- Fix BuildRequires

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Jun 09 2004 Abel Cheung <deaddog@deaddog.org> 0.3.2-1mdk
- First Mandrake package
